/* m437.h
 * Header file for the Linux CAN-bus driver.
 * Written by Arnaud Westenberg email:arnaud@wanadoo.nl
 * This software is released under the GPL-License.
 * Version 0.7  6 Aug 2001
 *
 * Header file for the SECO M437 (see m437.c for details)
 */

int m437_request_io(unsigned long io_addr);
int m437_release_io(unsigned long io_addr);
int m437_reset(int card); 
int m437_init_hw_data(int card);
int m437_init_chip_data(int card, int chipnr);
int m437_init_obj_data(int chipnr, int objnr);
void m437_write_register(unsigned char data, unsigned long address);
unsigned m437_read_register(unsigned long address);
int m437_program_irq(int card);
int m437_register(struct hwspecops_t *hwspecops);
