/* proc.h
 * Header file for the Linux CAN-bus driver.
 * Written by Arnaud Westenberg email:arnaud@wanadoo.nl
 * This software is released under the GPL-License.
 * Version 0.7  6 Aug 2001
 */

#include <linux/proc_fs.h>
#include "./constants.h"

int can_init_procdir(void);
int can_delete_procdir(void);

struct canproc_t {
	struct proc_dir_entry *can_proc_entry;
	struct channelproc_t *channel[MAX_TOT_CHIPS];
};

struct channelproc_t {
	char ch_name[20];
	struct proc_dir_entry *ch_entry;
	struct objectproc_t *object[MAX_MSGOBJS];
};


struct objectproc_t {
	char obj_name[20];
	struct proc_dir_entry *obj_entry;
	char lnk_name[20];
	char lnk_dev[20];
	struct proc_dir_entry *lnk;
}; 
